<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <artifactId>xmleditor</artifactId>
    <packaging>pom</packaging>
    <version>3.0.0-SNAPSHOT</version>


    <parent>
      <groupId>info.textgrid.lab</groupId>
      <artifactId>parent</artifactId>
      <version>3.1.0-SNAPSHOT</version>
      <relativePath>../parent</relativePath>
    </parent>


    <modules>
	<!--module>charbrowser</module-->
	<module>com.thaiopensource.relaxng.trang</module>
	     <module>info.textgrid.lab.xmleditor.feature</module>
	     <!--module>info.textgrid.lab.xmleditor.musicharbrowser.test</module-->
	     <module>info.textgrid.lab.xmleditor.relaxng.provisional</module>
	     <module>info.textgrid.lab.xmleditor.supplements.feature</module>
	     <!--module>info.textgrid.lab.xmleditor.tests</module-->
	     <module>info.textgrid.lab.xmleditor.mpeditor</module>
	     <module>info.textgrid.lab.xmleditor.musicharbrowser</module>
	     <module>info.textgrid.lab.xmleditor.sac</module>
	     <!--module>info.textgrid.lab.xmleditor.vex.toolkit.tests</module-->
	     <module>net.sf.vex.editor</module>
	     <module>info.textgrid.lab.xmleditor.tei</module>
	     <module>net.sf.vex.toolkit</module>

	     <module>xmleditor-repository</module>
    </modules>

    <repositories>

      <repository>
	      <id>dariah.nexus</id>
	      <name>DARIAH Nexus Public Repository</name>
	      <url>http://dev.dariah.eu/nexus/content/groups/public</url>
	      <releases>
	        <enabled>true</enabled>
	      </releases>
	      <snapshots>
	        <enabled>true</enabled>
	      </snapshots>
      </repository>

      <repository>
	<id>lab-core</id>
	<layout>p2</layout>
	<url>${lab.repository.core}</url>
      </repository>

      <repository>
	<id>textgridlab-dependencies</id>
	<layout>p2</layout>
	<url>${lab.repository.dependencies}</url>
      </repository>
      
      <repository>
      	<id>tg-extra-deps</id>
      	<layout>p2</layout>
	<url>https://textgridlab.org/updates/extra-deps</url>
      </repository>
      
      <repository>
      	<id>wordwrap-plugin</id>
      	<layout>p2</layout>
      	<url>http://dev.cdhq.de/eclipse/updatesite/indigo/</url>
      </repository>

    </repositories>
</project>
